[Lucid Beta 1] plymouth has a non translatable string coming up on screen

Bug #553954 reported by Sergio Zanchetta on 2010-04-02
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Unassigned
kubuntu-default-settings (Ubuntu)
Medium
Alberto Milone
lubuntu-artwork (Ubuntu)
Medium
Alberto Milone
mountall (Ubuntu)
Medium
Alberto Milone
plymouth (Ubuntu)
Medium
Alberto Milone
ubuntustudio-look (Ubuntu)
Medium
Unassigned
xubuntu-artwork (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: plymouth

There is a non translatable string that comes up in plymouth when it start checking drives.
e.g. Checking disk 1 of 1 (20% complete)

Looking into plymouth code:
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/lucid/plymouth/lucid/annotate/head%3A/themes/ubuntu-logo/ubuntu-logo.script

...
# Update progress label here
    label = "Checking disk " + global.counter.current + " of " + global.counter.total + " (" + progress_label.progress + "% complete)";
...

This string are not translatable.

Plymouth shows other messages, but seems that they are taken from outer packages, like fsck.

Related branches

Sergio Zanchetta (primes2h) wrote :

I think there could be two way to fix it.

1) Make the string translatable for each theme (Ubuntu, Kubuntu... etc)
2) Take it out to another package (e.g. fsck)

It's an annoying bug because the string is very visible (and quite big)

Changed in plymouth (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Alberto Milone (albertomilone) wrote :

The solution here would be to move the string into mountall and pass both the string and the progress (e.g. 50%) to the plymouth themes. All of the {K|X|L|Myth}ubuntu themes should be modified.

Changed in plymouth (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in mountall (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → Triaged
Changed in mountall (Ubuntu):
status: Triaged → In Progress
Changed in plymouth (Ubuntu):
status: Triaged → In Progress
Changed in kubuntu-default-settings (Ubuntu):
status: New → Triaged
Changed in lubuntu-artwork (Ubuntu):
status: New → Triaged
Changed in ubuntustudio-look (Ubuntu):
status: New → Triaged
Changed in kubuntu-default-settings (Ubuntu):
importance: Undecided → Medium
Changed in lubuntu-artwork (Ubuntu):
importance: Undecided → Medium
Changed in ubuntustudio-look (Ubuntu):
importance: Undecided → Medium
Changed in xubuntu-artwork (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Alberto Milone (albertomilone) wrote :

xubuntu-artwork uses an old version of my theme, which doesn't include the string (I'm not sure as to whether it works well with mountall) while ubuntustudio-look doesn't seem to support fsck at all. Marking the task as invalid for both packages.

Changed in xubuntu-artwork (Ubuntu):
status: Triaged → Invalid
Changed in ubuntustudio-look (Ubuntu):
status: Triaged → Invalid
Alberto Milone (albertomilone) wrote :

Just for future reference, only a one line change is required for xubuntu-artwork so that it can accept more than 2 parameters when updating the status of plymouth (just an args == 2 vs args >= 2 change).

Changed in kubuntu-default-settings (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in lubuntu-artwork (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: Triaged → In Progress
Changed in kubuntu-default-settings (Ubuntu):
status: Triaged → In Progress
Alberto Milone (albertomilone) wrote :
Alberto Milone (albertomilone) wrote :
Steve Langasek (vorlon) on 2010-04-15
Changed in plymouth (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-1

---------------
plymouth (0.8.2-1) lucid; urgency=low

  [ Steve Langasek ]
  * New upstream release.
  * debian/plymouth.plymouth-stop.upstart: trust the new kdm to stop plymouth
    for us, too. LP: #540177.
  * plymouth needs to depend on initramfs-tools to avoid calling
    update-initramfs when the stack isn't configured yet and rendering the
    system unbootable with a broken initramfs. LP: #358654.
  * src/client/ply-boot-client.c: ply_boot_client_flush() needs to process
    the incoming queue before the outgoing, otherwise we get a deadlock.
    LP: #554737.
  * src/plugins/splash/script/script-lib-image.c: call script_obj_is_null()
    to check for the presence of the alpha argument, otherwise all our labels
    are rendered invisibly...
  * src/plugins/renderers/drm/plugin.c: temporarily disable the drm backend
    for nouveau, until we can get to the bottom of the DRM lockup in bug
    #539655. This is not as pretty, but it boots to the desktop without
    hanging regardless of how many displays are used, and that takes
    precedence. LP: #533135.

  [ Scott James Remnant ]
  * Implement a Window.GetBitsPerPixel() function in the script library,
    and the necessary support in ply_pixel_display, ply_renderer and in
    the vga16fb and frame-buffer renderers to make that information
    available. This will return "0" on drm and x11 where the answer is
    "lots". LP: #558352.
  * Modify vga16fb to only fallback to reducing colors if it's overflowed
    the 16-color palette already, so if you stick to the same 16 colors,
    you can get exact matches.
  * Use alternate 16-color images when we have only 4bpp. LP: #551013.

  [ Alberto Milone ]
  * ubuntu-logo: accept a format string from mountall for the disk check
    progress, so that localization is possible. LP: #553954.
 -- Steve Langasek <email address hidden> Thu, 15 Apr 2010 00:55:46 +0000

Changed in plymouth (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-default-settings - 1:10.04ubuntu21

---------------
kubuntu-default-settings (1:10.04ubuntu21) lucid; urgency=low

  [ Alberto Milone ]
  * kubuntu-logo: accept a format string from mountall for the disk check
    progress, so that localization is possible. LP: #553954.
 -- Steve Langasek <email address hidden> Thu, 15 Apr 2010 01:26:11 +0000

Changed in kubuntu-default-settings (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-artwork - 0.7

---------------
lubuntu-artwork (0.7) lucid; urgency=low

  [ Alberto Milone ]
  * ubuntu-logo: accept a format string from mountall for the disk check
    progress, so that localization is possible. LP: #553954.
 -- Steve Langasek <email address hidden> Wed, 14 Apr 2010 18:50:42 -0700

Changed in lubuntu-artwork (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mountall - 2.12

---------------
mountall (2.12) lucid; urgency=low

  [ Scott James Remnant ]
  * Generate mountall.pot file at build-time, rather than shipping a
    hopelessly out of date copy in the source package. LP: #559997.

  [ Colin Watson ]
  * Fix typo in "Press C" message.

  [ Alberto Milone ]
  * Pass a localised string to plymouth in plymouth_progress (LP: #553954).
 -- Steve Langasek <email address hidden> Thu, 15 Apr 2010 08:42:10 +0000

Changed in mountall (Ubuntu):
status: In Progress → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Even though the new mountall translations are there in the language packs, they are not being used during boot time.

Should probably be reopened.

Gabor Kelemen (kelemeng) wrote :

Timo: I already have bug #567126 about this.

David Planella (dpm) on 2010-05-02
Changed in ubuntu-translations:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers